/*************************************************************
                    DBF2CSV utility
      autor: Dmitry Maximovich <maxim@pabl.ru>

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
**************************************************************/

DbfName = ARG(1)

IF DbfName = '' THEN
   DO
     SAY 'USAGE: dbf2csv [filename.dbf]'
     EXIT
   END

ret = RXFUNCADD(rexxbase_init,Rexxbase,"Rexxbase_Init")
ret = REXXBASE_INIT()

ret = REXXBASE_OPENDBF('DbfName')

IF ret <> '' THEN
   DO
    SAY 'ERROR OPENDBF:'ret
    ret = REXXBASE_CLOSEDBF('DbfName')
    ret = REXXBASE_SHUTDOWN()
    EXIT
   END

FieldNames = ''

/* ,-^  "   "  */
 DO i = 1 TO DbfName.fieldcount
   IF i = 1 THEN
     FieldNames = 'STRIP(DbfName.'||DbfName.fieldname.i||')'
   ELSE
     FieldNames = FieldNames||"||','||STRIP(DbfName."||DbfName.fieldname.i||")"
 END

FieldNames = 'SAY '||FieldNames

SAY '@@@'
SAY '@@@'

DO FOREVER
  /* - ^    DBF */
  ret = REXXBASE_READDBF('DbfName')

  IF ret = '' THEN
    DO
      /* , ^  -- */
      INTERPRET FieldNames
    END
  ELSE IF ret = 'BOF' THEN
    DO
      ret = REXXBASE_CLOSEDBF('DbfName')
      ret = REXXBASE_SHUTDOWN()
      EXIT
    END

END /* DO FOREVER */

EXIT
